Edushade Docs
Grading

A: Create grading scheme

POST
/admin/learning/grading-schemes
AuthorizationBearer <token>

In: header

codestring
Default"US_4.0"
descriptionstring
Default"Standard US 4.0 GPA grading system"
grade_definitionsarray<object>
is_defaultboolean
Defaulttrue
max_scale_valueinteger
Default4
min_passing_gradeinteger
Default2
namestring
Default"US Standard 4.0 GPA"
scale_typestring
Default"GPA"

Response Body

curl -X POST "https://edushade.com/api/v1/admin/learning/grading-schemes" \
  -H "Content-Type: application/json" \
  -d '{
    "code": "US_4.0",
    "description": "Standard US 4.0 GPA grading system",
    "grade_definitions": [
      {
        "description": "Outstanding",
        "display_order": 1,
        "grade_letter": "A+",
        "grade_point": 4,
        "is_passing": true,
        "max_percentage": 100,
        "min_percentage": 97
      }
    ],
    "is_default": true,
    "max_scale_value": 4,
    "min_passing_grade": 2,
    "name": "US Standard 4.0 GPA",
    "scale_type": "GPA"
  }'
{}
Empty
Empty
Empty